%define anolis_release 1

%global         modname greenlet

Name:           python-%{modname}
Version:        1.1.3
Release:        %{anolis_release}%{?dist}
Summary:        Lightweight in-process concurrent programming
License:        MIT
URL:            https://github.com/python-greenlet/greenlet
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildRequires:  gcc-c++

%global _description \
The greenlet package is a spin-off of Stackless, a version of CPython\
that supports micro-threads called "tasklets". Tasklets run\
pseudo-concurrently (typically in a single or a few OS-level threads)\
and are synchronized with data exchanges on "channels".

%description %{_description}

%package -n     python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{modname} %{_description}

Python 3 version.

%package -n     python3-%{modname}-devel
Summary:        C development headers for python3-%{modname}
%{?python_provide:%python_provide python3-%{modname}-devel}
Requires:       python3-%{modname} = %{EVR}

%description -n python3-%{modname}-devel
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version} -p1

%build
%py3_build

%install
%py3_install
 
%check
PYTHONPATH="%{buildroot}%{python3_sitearch}" %{python3} -m unittest discover greenlet.tests

%files -n python3-%{modname}
%license LICENSE LICENSE.PSF
%{python3_sitearch}/%{modname}-*.egg-info
%{python3_sitearch}/%{modname}

%files -n python3-greenlet-devel
%{_includedir}/python%{python3_version}*/%{modname}/

%changelog
* Wed May 03 2023 Funda Wang <fundawang@yeah.net> - 1.1.3-1
- Import package for anolis 23
